import { ScrollView, View, Image, Button } from '@tarojs/components'
import Taro from '@tarojs/taro';
import { useState } from 'react';
import { useEffect } from 'react';
import { getOrder } from '../../services/dogAPI';
import './style.less'

export default (props) => {
  const id = Taro.getCurrentInstance().router.params.id;
  const [orderInfo, setOrderInfo] = useState()

  useEffect(() => {
    if (id) {
      getOrder(id).then((e) => {
        console.log('e', e);
        setOrderInfo(e)
      })
    }

  }, [id])

  const goSetDogLicense = () => {
    Taro.navigateTo({
      url: '/pages/setDogLicense/index'
    })
  }


  return (
    <ScrollView scrollY style={{ height: '100vh' }}>
      <View className='ApplicationListBox'>
        <View className='ApplicationListBox-CardBox'>

          <View className='ApplicationListBox-CardBox-headerTop'>
            狗狗姓名
            <View className='ApplicationListBox-CardBox-headerTop-right'>
              <View>我的二狗子</View>

              <Image src='https://gss0.baidu.com/7Po3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/48540923dd54564e953f5e6cbede9c82d1584f08.jpg' />
            </View>
          </View>
          {/* 状态

待付款 
审核中 > 驳回 点击去修改  /退款
驳回原因

待发卡
已完成 

        狗名字
        时间
        方式
        状态
        单号+快递公司
*/}

          <View className='ApplicationListBox-CardBox-content'>
            <View>申请时间</View>
            <View>2022-05-06 12:36</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>审领方式</View>
            <View>邮寄</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>状态</View>
            <View>已完成</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>邮政快递</View>
            <View>3200222000</View>
          </View>
        </View>

      </View>
      <View className='ApplicationListBox'>
        <View className='ApplicationListBox-CardBox'>

          <View className='ApplicationListBox-CardBox-headerTop'>
            狗狗姓名
            <View className='ApplicationListBox-CardBox-headerTop-right'>
              <View>我的二狗子</View>

              <Image src='https://gss0.baidu.com/7Po3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/48540923dd54564e953f5e6cbede9c82d1584f08.jpg' />
            </View>
          </View>
          {/* 状态

待付款 
审核中 > 驳回 点击去修改  /退款
驳回原因

待发卡
已完成 

        狗名字
        时间
        方式
        状态
        单号+快递公司
*/}

          <View className='ApplicationListBox-CardBox-content'>
            <View>申请时间</View>
            <View>2022-05-06 12:36</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>审领方式</View>
            <View>邮寄</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>状态</View>
            <View>已完成</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>邮政快递</View>
            <View>3200222000</View>
          </View>
        </View>

      </View>
      <View className='ApplicationListBox'>
        <View className='ApplicationListBox-CardBox'>

          <View className='ApplicationListBox-CardBox-headerTop'>
            狗狗姓名
            <View className='ApplicationListBox-CardBox-headerTop-right'>
              <View>我的二狗子</View>

              <Image src='https://gss0.baidu.com/7Po3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/48540923dd54564e953f5e6cbede9c82d1584f08.jpg' />
            </View>
          </View>
          {/* 状态

待付款 
审核中 > 驳回 点击去修改  /退款
驳回原因

待发卡
已完成 

        狗名字
        时间
        方式
        状态
        单号+快递公司
*/}

          <View className='ApplicationListBox-CardBox-content'>
            <View>申请时间</View>
            <View>2022-05-06 12:36</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>审领方式</View>
            <View>邮寄</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>状态</View>
            <View>已完成</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>邮政快递</View>
            <View>3200222000</View>
          </View>
        </View>

      </View>
      <View className='ApplicationListBox'>
        <View className='ApplicationListBox-CardBox'>

          <View className='ApplicationListBox-CardBox-headerTop'>
            狗狗姓名
            <View className='ApplicationListBox-CardBox-headerTop-right'>
              <View>我的二狗子</View>

              <Image src='https://gss0.baidu.com/7Po3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/48540923dd54564e953f5e6cbede9c82d1584f08.jpg' />
            </View>
          </View>
          {/* 状态

待付款 
审核中 > 驳回 点击去修改  /退款
驳回原因

待发卡
已完成 

        狗名字
        时间
        方式
        状态
        单号+快递公司
*/}

          <View className='ApplicationListBox-CardBox-content'>
            <View>申请时间</View>
            <View>2022-05-06 12:36</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>审领方式</View>
            <View>邮寄</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>状态</View>
            <View>已完成</View>
          </View>
          <View className='ApplicationListBox-CardBox-content'>
            <View>邮政快递</View>
            <View>3200222000</View>
          </View>
          <View>

            <View className='ApplicationListBox-CardBox-refuse'>
              <View>驳回原因</View>
              <View>因地区政策原因，疫苗报告失效，请重新填写申请信息。</View>
            </View>
            <View style={{ margin: '0.5em 0 0.2em 0' }}>
              <Button style={{ width: '135px', height: '35px', fontSize: '14px', backgroundColor: '#fbd804', borderRadius: '40px', color: '#000', border: '0px' }} class='weui-btn' type='primary' loading={false} onClick={goSetDogLicense}>重新填写</Button>
            </View>
          </View>

        </View>

      </View>

    </ScrollView>
  )
}